"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const log = require("./log");
const mqtt = require("./mqttdispatcher");
class Dispatcher {
    constructor() {
        this._mqttDispatcher = new mqtt.MqttDispatcher();
        this._mqttDispatcher.register('IoT/test', 'print1', (message) => {
            log.info("Callback for IoT/test");
            log.info(`message is ${message}`);
            return `<<${message}>>`;
        });
        this._mqttDispatcher.register('IoT/test', 'print2', (message) => {
            log.info("Callback for IoT/test");
            log.info(`message is ${message}`);
            return `<<${message}>>`;
        });
        this._mqttDispatcher.register('IoT/test', 'null1', mqtt.passThrough);
        this._mqttDispatcher.register('IoT/test', 'null2', mqtt.passThrough);
    }
    exec() {
        log.info("Dispatcher starting");
        this._mqttDispatcher.exec();
        log.info("Dispatcher running");
    }
}
const dispatcher = new Dispatcher();
dispatcher.exec();
//# sourceMappingURL=main.js.map